<?php
session_start();

require_once('osm-oauth.php');
require_once('dbutils.php');
$users = new GenericSqliteTable("var/users.db","users");

if(!isset($_POST['confirm']))
	die("Confirmation username not set.");

$confirmFailed = 0;
if($_POST['confirm'] != $_SESSION['display_name'])
	$confirmFailed = 1;

if(!$confirmFailed)
{
	//Read existing data
	$userData = array();
	if(isset($users[$_SESSION['user_id']]))
		$userData = $users[$_SESSION['user_id']];

	if(!isset($userData['declarations']) or !is_array($userData['declarations']))
		$userData['declarations'] = array();

	//Add new declaration into array
	array_push($userData['declarations'],array("license"=>$_POST['license'], "time"=>time()));

	//Write to database
	$users[$_SESSION['user_id']] = $userData;
?>
<h2>Success</h2>
<p>Thank you. Your information has been added to the database.</p>
<p><a href=".">Back to Summary</a></p>

<?php
}
if($confirmFailed)
{
?>
	<h2>Failed</h2>
	<p>Error: Entered username did not match what was expected.</p>
	<p><a href=".">Back to Summary</a></p>
<?php
}
?>
